## ros-humble-as2-behaviors-motion 1.1.2

=== debian/changelog ===
ros-humble-as2-behaviors-motion (1.1.2-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.1.1-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.1.0-1bookworm) bookworm; urgency=high

  * [as2_behaviors_motion] Not overwritting behavior config file if user config file is empty
  * [as2_behaviors_motion] Update to ament lint auto and use as2_core launch param utils
  * [as2_behaviors_motion] Fix warning about service client access
  * Contributors: Miguel Fernandez-Cortizas, Rafael Perez-Segui, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.9-1bookworm) bookworm; urgency=high

  * Relative yaw in go_to fixed when frame is other than earth
  * Contributors: Javier Melero, Javilinos

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.8-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.7-1bookworm) bookworm; urgency=high

  * [refactor] format tests according with ament_lint_common() packages
  * [refactor] add std::string() to topic names in order to be able to add a char*
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.6-1bookworm) bookworm; urgency=high

  * Takeoff and GoTo behavior renaming
  * Behavior composable nodes
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.5-1bookworm) bookworm; urgency=high

  * tf timeout param added to go to function plus hotfix
  * tf utils, behaviors and controller adapted to deal with low latency frames that are not earth
  * timeout param added
  * Contributors: Javier Melero, Javilinos, Miguel Fernandez-Cortizas, Rodrigo Da Silva

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.4-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.3-1bookworm) bookworm; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.2-1bookworm) bookworm; urgency=high

  * Merge pull request #304 <https://github.com/aerostack2/aerostack2/issues/304> from aerostack2/302-parametrize_tf_threshold_time
    302-Parametrize tf timeout in go to and follow reference behavior
  * parametrize tf timeout in go to and follow reference behavior
  * Merge pull request #273 <https://github.com/aerostack2/aerostack2/issues/273> from aerostack2/272-add_reference_facing_mode_to_follow_reference
    follow reference with reference facing added
  * add follow reference with new yaw mode
  * follow reference with reference facing added
  * Merge pull request #268 <https://github.com/aerostack2/aerostack2/issues/268> from aerostack2/fix_follow_path_with_reference
    follow path frame bug fixed, frame id argument added to python interface
  * follow path frame bug fixed, frame id argument added to python interface
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Unify as2_behaviors_motion with config files
  * Contributors: Javier Melero, Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.1-1bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #214 <https://github.com/aerostack2/aerostack2/issues/214> from aerostack2/213-as2_behaviors_motion-add-land-with-trajectory
    [as2_behaviors_motion] Add land with trajectory
  * Add land plugin trajectory
  * Merge pull request #199 <https://github.com/aerostack2/aerostack2/issues/199> from aerostack2/196-as2_behaviors_motion-follow-reference-behavior
    [as2_behaviors_motion] Follow Reference Behavior Transforms Error
  * redundant-missplaced warning removed
  * Remove follow reference from motion behaviors launch
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-behaviors-motion (1.0.0-1bookworm) bookworm; urgency=high

  * Merge pull request #195 <https://github.com/aerostack2/aerostack2/issues/195> from aerostack2/add_follow_reference_behavior
    Follow reference typos fix
  * typos fix
  * Merge pull request #193 <https://github.com/aerostack2/aerostack2/issues/193> from aerostack2/add_follow_reference_behavior
    Add follow reference behavior
  * clang test passes, format changes, new individual launcher
  * feedback fixed
  * removed gdb from compiling
  * new behavior created and tested, modify tbd
  * Merge pull request #176 <https://github.com/aerostack2/aerostack2/issues/176> from aerostack2/175-as2_behaviors_motion-land-behavior-not-loading-land-speed-condition-parameter
    Loading parameters in land behavior fixed
  * fixes #175 <https://github.com/aerostack2/aerostack2/issues/175>
  * Merge pull request #163 <https://github.com/aerostack2/aerostack2/issues/163> from aerostack2/crazyflie_swarm_demo
    Crazyflie swarm demo updates

