=== debian/control ===
Source: ros-humble-as2-behaviors-motion
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-behavior, ros-humble-as2-core, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-components, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-behaviors-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-behavior, ros-humble-as2-core, ros-humble-as2-motion-reference-handlers, ros-humble-as2-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-rclcpp-components, ros-humble-std-srvs, ros-humble-ros-workspace
Description: AS2 Movement Behaviors Behaviors Meta Package
